# Serialized Form

## Package com.mchange.v2.c3p0

### Class com.mchange.v2.c3p0.AbstractConnectionTester

class AbstractConnectionTester extends Object implements Serializable

### Class com.mchange.v2.c3p0.ComboPooledDataSource

class ComboPooledDataSource extends com.mchange.v2.c3p0.impl.AbstractPoolBackedDataSource implements Serializable

serialVersionUID:
  1L

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream ois) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream oos) throws IOException

Throws:
  `IOException`

### Class com.mchange.v2.c3p0.DriverManagerDataSource

class DriverManagerDataSource extends com.mchange.v2.c3p0.impl.DriverManagerDataSourceBase implements Serializable

serialVersionUID:
  1L

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream ois) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream oos) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### driver

    Driver driver

##### driver_class_loaded

    boolean driver_class_loaded

### Class com.mchange.v2.c3p0.JndiRefConnectionPoolDataSource

class JndiRefConnectionPoolDataSource extends com.mchange.v2.c3p0.impl.IdentityTokenResolvable implements Serializable

#### Serialized Fields

##### identityToken

    String identityToken

##### jrfds

    com.mchange.v2.c3p0.JndiRefForwardingDataSource jrfds

##### wcpds

    WrapperConnectionPoolDataSource wcpds

### Class com.mchange.v2.c3p0.PoolBackedDataSource

class PoolBackedDataSource extends com.mchange.v2.c3p0.impl.AbstractPoolBackedDataSource implements Serializable

### Class com.mchange.v2.c3p0.WrapperConnectionPoolDataSource

class WrapperConnectionPoolDataSource extends com.mchange.v2.c3p0.impl.WrapperConnectionPoolDataSourceBase implements Serializable

#### Serialized Fields

##### connectionTester

    ConnectionTester connectionTester

##### userOverrides

    Map userOverrides